Subject: bug#53232: reopen 53232

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Jan 2022 18:24:50 +0100

John Yates <[email-masked]> writes:

> I originally reported this issue via email to emacs-devel.
> Stefan suggested that I try early-init.el and suggested
> that a bug report would be more appropriate.
>
> I attempted to use early-init.el without success and
> so set about to submit a bug report.
>
> My previous erroneous repro case
>
>     emacs -Q --eval '(set-background-color "#000000")'
>
> was an attempt to comply with the advice in the bug
> template which asks for a -Q repro.

Ah, I see.  OK, reopening.

> That said, the sub-optimal behavior is real:
>
> * early-init.el:
>
>     (custom-set-variables
>      '(default-frame-alist
>        '((fullscreen . maximized)
>          (background-color . "#000000")
>          (foreground-color . "#ffffff")))
>      '(inhibit-startup-screen t)
>     )
>
> * init.el:
>
>     [EMPTY]

I'm unable to reproduce this with or without pgtk -- Emacs doesn't flash
the default background colour on startup, as far as I can tell.  (This
is on Debian/bookworm with Gnome Shell, if that matters.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no